# Module HowTo - Help entries

## 1. Defining help entries

Your module should provide help for all input fields and other important things.
The LAM help system defines an extra ID range for each module. So you are free in defining your own IDs.
The help entries are specified with get_help() or meta['help'].
Example:
The ieee802Device module needs help entries for the MAC address.

/**
* Returns meta data that is interpreted by parent class
*
* @return array array with meta data
*/
function get_metaData() {
$return = array();
// help Entries
$return['help'] = array(
'mac' => array(
"Headline" => _("MAC address"),
"Text" => _("This is the MAC address of the network card of the device (e.g. 00:01:02:DE:EF:18).")
),
'macList' => array(
"Headline" => _("MAC address list"),
"Text" => _("This is a comma separated list of MAC addresses.")
));
return $return;
}

##